

/* #88ff00 */
/* #8dfe0c */

:root {
    --lightgreen: #8CC120;
    --darkgreen: #29381B;
    --red:#af2f2f;





}

/* common */

html {
    font-size: 100%;
    scroll-behavior: smooth;


}


body {
    font-family: "Noto Sans JP", sans-serif;
    font-style: normal;
    overflow-x: hidden;
    background-image: url('./images/bg3.jpg');      /* 背景画像のURLを指定 */
    background-repeat: no-repeat;                   /* 背景画像を繰り返さない */
    background-position: center top;                /* 背景画像の位置を中央上に配置 */
    background-size: cover;                         /* 要素全体に背景画像をカバー（拡大・縮小） */
    background-attachment: fixed;                   /* 背景画像を固定（スクロールしても動かない） */
    background-image: url('./images/bg3.jpg') no-repeat center / cover fixed;      /* 背景画像のURLを指定 */
}

.heading {
    text-align: center;
    color: var(--lightgreen);
    font-weight: 700;
    font-size: 2.7rem;
    margin-bottom: .5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: "Kaisei Tokumin", serif;
}
.heading + .text {
    text-align: center;
    margin-bottom: 5rem;
    letter-spacing: 1px;
}
.text {
    line-height: 1.7;
}

.small {
    font-size: .75rem;
}

.fadein {
    opacity: 0;
    translate: 0 30px;
}

/* icon */
.icon1::before,
.icon1::after,
.icon2-right::before,
.icon2-left::after,
.icon4::before,
.icon4::after,
.icon3::before,
.icon3::after {

    content: '';
    background-size: cover;
    display: inline-block;
    background-repeat: no-repeat;
    width: 6rem;
    height: 6rem;
}
.icon1::before {
    background-image: url('./images/icon4.png');
}

.icon1::after{
    background-image: url('./images/icon3.png');
}

.icon2-right::before{
    background-image: url('./images/icon6.png');
}
.icon2-left::after {
    background-image: url(./images/icon7.png);
}


.icon4::before,
.icon4::after {
    background-image: url('./images/logo8.png');
    background-size: contain;
    background-repeat: no-repeat;
    width: 3rem;
    height: 3rem;
    margin: 0 1.25rem 0 1.25rem;
}
.icon3::before,
.icon3::after {
    content: '';
    background-image: url('./images/icon666.png');
    background-size: contain;
    background-repeat: no-repeat;
    width: 3rem;
    height: 3rem;
    margin: 0 .5rem 0 .5rem;
    position: relative;
    z-index: 10;

}


/* layout */

.wrapper {
    width: 92%;
    max-width: 1200px;
    margin: 0 auto;
    padding: 0rem 1rem 0;

}

.contain {
    padding: 7rem 1rem;
    background-color: #fff;
    box-shadow: 0 0 20px rgba(0, 0, 0, .6);
    position: relative;


}

.contain::before,
.contain::after,
.pin::before,
.pin::after{
    content: '';
    display: block;
    width: 5rem;
    height: 5rem;
    position: absolute;
    z-index: 6;
}
.contain::before,
.pin::before {
    background: url('images/pinLeft.png') no-repeat center / contain;
    top: 1.7rem;
    left: 1.7rem;

}
.contain::after,
.pin::after {
    background: url('images/pinrihght.png') no-repeat center / contain;
    top: 1.7rem;
    right: 1.7rem;

}


#loading {
    background-color: #e9f5f1;
    position: fixed;
    z-index: 9999;
    height: 100vh;
    width: 100vw;
    display: flex;
    justify-content: center;
    align-items: center;



}

#loading img {
    width: 5%;
}
/* header */

#head {
    position: relative;
    top: 0;
    right: 0;
}

#head .wrapper{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: .5rem 1rem;
}
.nav-menu {
    list-style: none;
    display: flex;
    gap: 2rem;

}


#head .nav-menu a {
    text-decoration: none;
    color: var(--darkgreen);
    font-weight: 400;
    transition: .3s;
    padding: 0 .2rem .2rem;
    font-family: "Kaisei Tokumin", serif;
    font-size: 1.25rem;
    padding-bottom: .5rem;
    position: relative;
}

#head .nav-menu a::after {
    content: '';
    display: block;
    background-color: var(--lightgreen);
    height: 2px;
    width: 0;
    position: absolute;
    bottom: 0;
    transition: .3s;

}
#head .nav-menu a:hover {
    color: #6e9819;
}

#head .nav-menu a:hover::after {
    width: 100%;
}

#head .logo {
    width: 35%;
    height: auto;
    margin: .75rem 0 .5rem;
}

#head h1 {
    width: 30%;
}

.hero {
    position: relative;
    font-family: "Kaisei Tokumin", serif;
    font-weight: 500;
    margin-bottom: 3rem;
}

.hero::after {
    content: '';
    background: url('./images/main00.png') no-repeat center center / contain;
    width: 48vw;
    height: 48vw;
    display: inline-block;
    z-index: 30;
    position: absolute;
    top: 30px;
    left: 16vw;
    filter: drop-shadow(0px 0px 15px rgba(0, 0, 0, 0.4));
    z-index: -1;

}



.hero-text {
    writing-mode: vertical-rl; 
    text-orientation: upright; 
    font-size: 4vw;
    color: #ffffff;
    text-shadow: 0px 0px 15px rgba(60, 76, 60, 0.9);
    line-height: 1.2;
    position: relative;
    left: 58vw;
    top: 3.4rem;


    
}
.hero-text::first-letter {
    font-size: 8vw; 
    font-weight: bold; 
    color: #8CC120;
    margin-bottom: 10px;    
    text-shadow: 0px 0px 15px rgba(110, 123, 110, 0.3);

}

.hero-text .big {
    font-size: 6.5vw;

}
/* .producer-info {
    background-color: rgb(255, 255, 255);
    border-radius: 20px;
    padding: .75rem;
    position: absolute;
    width: max(15vw, 120px);
    height: max(8vw, 60px);
    display: grid;
    place-items: center;
    font-weight: 500;
    top: 25vw;
    left: 15vw;
    font-size: clamp(.5rem, 1.15vw, 1.25rem);
    white-space: nowrap;
    box-shadow: 0px 0px 7px var(--lightgreen);
    
} */
    



/* 農園案内ーーーーーーーーーーーーーーーーーーーーーーーーーーーーー */

#about {
    margin-bottom: 11.5rem;
    margin-top: 10vw;
}

#about .row {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding:0 1rem;
}

#about .col {
    width: 50%;
}

#about .reverce {
    flex-direction: row-reverse;
}

#about .thumb {
    width: 100%;
    aspect-ratio: 4 / 3;
    object-fit: cover;
    box-shadow: 10px 10px 20px rgba(0, 0, 0, .3);

}

#about h3 {
    font-size: 1.5rem;
    margin-bottom: 2rem;
    text-align: center;
}

#about h3::before {
    content: '';
    background-image: url('./images/cheak.png');
    background-repeat: no-repeat;
    width: 10rem;
    height: 10rem;
    z-index: -1;
    display: inline-block;
    opacity: .3;
    position: absolute;
    top:-20%;
    left:20%;

}

#about .textbox {
    padding: 0 3rem;
    color: var(--darkgreen);
    position: relative;
    z-index: 2;
}
#about .textbox.fadein {
    text-align: justify;
}


/* 野菜紹介 -------------------------------------------------------*/

#vegetables {
    margin-bottom: 12rem;
}


#vegetables .wrapper {
    text-align: center;
}

#vegetables .bg{
    padding: 10rem 0 12rem;
    background-color: #e9f5f1;
    clip-path: polygon(0 0, 100% 7%, 100% 93%, 0 100%);
    overflow-x: hidden;
   
}

#vegetables .container {
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 30px 15px;

}


#vegetables .card {
    text-align: center;
    position: relative;

}

#vegetables .card .vegetable-name {
    margin: 1rem auto .75rem;
    color: var(--darkgreen);
    border: var(--darkgreen) solid 1px;
    border-radius: 30px;
    padding: .2rem .5rem;
    width: 55%;
    cursor: pointer;
    box-shadow: 0 5px 3px rgba(40, 87, 8, 0.2);
}

#vegetables .click::before{
    background-image: url('./images/click1.png');
    background-size: contain;
    width: 4rem;
    height: 4rem;
    content: '';
    display: inline-block;
    position: absolute;
    z-index: 100;
    left:15%;

}

#vegetables .card .vegetable-name:hover {
    color: #4a941f;
    border: #4a941f 1px solid;
}

#vegetables .card .text-variety{
    margin-right: .5rem;
}

#vegetables .card .text-variety,
#vegetables .card .text-month{
    color: var(--darkgreen);
    display: inline-block;

}
#vegetables .card .text-comment {
    font-weight: 700;
    margin-bottom: .25rem;
    color: var(--red);
}

#vegetables img {
    width: 100%;
    aspect-ratio: 5 / 4;
    object-fit: cover;
    border-radius: 20px;
    opacity: 0;
}


/* 提携店舗 ーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーー*/

#cooperation .contain.wrapper {
    margin-bottom: 12rem;
    position: relative;
    overflow: hidden;
}

#cooperation .heading {
    margin-bottom: 2rem;

}


#cooperation .cooperation-shop {
    list-style: none;
    text-align: center;
}

#cooperation li {
    margin-bottom: .7rem;
    font-size: 1.2rem;
    color: var(--darkgreen);

}  

#cooperation .contain::before {
    content: '';
    background: url('./images/suzuya1.webp') no-repeat center / cover;
    position: absolute;
    z-index: 4;
    top: 0;
    bottom: 0;
    margin: auto;
    width: max(6rem,22vw);
    height: max(6rem,22vw);
    width: 50%;
    height: 100%;
    left: -12rem;
    display: inline-block;
    opacity: .4;
}

#cooperation .contain::after {
    content: '';
    background: url('./images/baribari.jpg') no-repeat center / cover;
    position: absolute;
    z-index: 4;
    top: 0;
    right: 2rem;
    width: max(5rem,20vw);
    height: max(6rem,22vw);
    display: inline-block;
    width: 50%;
    height: 100%;
    right: -12rem;
    opacity: .4;

}





/* 直売店 ーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーー*/

#shop {
    margin-bottom: 6rem;

}

#shop .heading {
    margin-bottom: 2rem;
    
}

#shop .row {
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
    

}

#shop .col-1 {
    width: 40%;
}
#shop .col-2 {
    width: 50%;
}



#shop .col-1 img {
    width: 100%;
    aspect-ratio: 4/3;
    object-fit: cover;
    border-radius: 20px;
    box-shadow: 10px 10px 15px rgba(0, 0, 0, .3);
}
#shop table {
    width: 100%;
}

#shop th {
    text-align: left;
    font-weight: normal;
    padding-left: 1rem;
    letter-spacing: 1px;

}

#shop td {
    padding-left: 5rem;
}


#shop td,
#shop th {
    border-bottom: 1px dashed var(--lightgreen);
    height: 4rem;

}

#shop .map-btn::after {
    content: 'googleMapでみる';
    display: block;
    font-size: .65rem;
    position: absolute;
    left: 3rem;
    top: 2.2rem;
    width: 6rem;
    color: var(--red);
}
#shop .map-btn:hover::after {
    color: var(--red);

}
#shop .map-btn {    
    text-decoration: none;
    display: inline-block;
    transition: .2s;
    position: relative;
    top: -.5rem;
    text-align: center;

}
#shop .map-btn img {
    width: 2rem;
    margin-left: 4rem;

}

#shop .map-btn:hover {
    scale: 1.15;
}   
#shop .td5 {
    line-height: .3;
}


/* footer ーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーーー*/

footer {
    text-align: center;
    padding: 5rem 0 ;
}
footer ul {
    display: flex;
    justify-content: center;
    gap: .5rem;
    margin-bottom: 2rem;
    list-style: none;

}

footer ul a {
    text-decoration: none;
    color: var(--darkgreen);
    transition: .3s;

}

footer ul a:hover {
    color: var(--red);

}





@media (max-width:1028px){

    .hero::after {
        left: 15vw;
    }
    #about .row {
        margin-bottom: .5rem;
    }
    
    #about h3 {
        font-size: 1.3rem;
        margin: 1.25rem 0;
    }
    
    #about .textbox {
        padding: 1.5rem;
    }
    }


@media(max-width:767px) {
    body {
        background-image: url('./images/bg88.jpg');
        background-attachment: scroll;
        height: 100vh;
        background-repeat: repeat-y;

    }
    .contain {
        padding-top: 4.5rem;
    }


    #loading img {
        width: 7.5%;
    }
    
    .nav-menu {
        font-size: 1rem;
        display: block;
    }

    .icon1::before,
    .icon1::after,
    .icon2-right::before,
    .icon2-left::after {
        width: 3.5rem;
        height: 3.5rem;
    }

    .icon4::before,
    .icon4::after, 
    .icon3::before, 
    .icon3::after {
        width: 2.5rem;
        height: 2.5rem;

    }
    .icon4::before{
        margin-right: .7rem;
    }
    .icon4::after {
        margin-left: .5rem;
    }
    .contain::before,
    .contain::after,
    .pin::before,
    .pin::after{
        display: none;
    }

    #head .logo {
        width: 50%;

    }

    .hero-text {
        color: #ffffff;
        text-shadow: 0px 0px 6px rgba(60, 76, 60, 0.9);
        letter-spacing: 1px;
        line-height: 1.25;
        font-size: 5.5vw;
        top: 2rem;
        
    }
    .hero-text::first-letter {
        text-shadow: 0px 0px 10px rgba(250, 251, 247, 0.9);
        font-size: 12vw;
        margin-bottom: 5px;
        color: #97c102;

    
    
    }
    .hero-text .big {
        font-size: 9vw;

    }
    .hero::after {
        top: 20px;
        left: 10vw;
        width: 67vw;
        height: 67vw;
        z-index: -1;
        filter: drop-shadow(0px 0px 15px rgba(0, 0, 0, 0.3));
    }

    /* .producer-info {
        width: max(13vw, 105px);
        height: max(8vw, 55px);
        font-weight: 500;
        top: 35vw;
        left: 8vw;
        padding: .5rem;
        
    } */
    



    
    

/* パネルメニュー -------------------------------------------------*/

    .panel-menu {
        position: fixed;
        width: max(30vw, 10rem);
        height: max(30vw, 280px);
        top: 0;
        right: 0;
        translate: 100%;
        background-color: rgba(255, 255, 255, 0.5);
        border-radius: 20px;
        padding: 5rem 2rem;
        z-index: 100;
    
    }

   .menu {
        position: fixed;
        top: .5rem;
        right: 2.5rem;
        z-index: 300;
        padding: .3rem;
        width: 60px;
        height: 60px;
    }

    
    .menu span {
        display: inline-block;
        background-color: var(--lightgreen);
        width: 35px;
        height: 2px;
        position: absolute;
        z-index: 200;
        border-radius: 3px;
        transition: .2s;
        vertical-align: top;
        
    }
   .menu span:first-child {
        top: 20px;
        right: 10px;
    }
    .menu span:nth-child(2) {
        top: 29px;
        right: 10px;
    }
    .menu span:last-child {
        top: 38px;
        right: 10px;
    }




   .menu.active span:first-child {
        transform: rotate(45deg) translate(5.5px, 7px);
    }    
    .menu.active span:nth-child(2) {
        display: none;

    }
    .menu.active span:last-child {
        transform: rotate(-45deg) translate(5.5px, -7px);



    } 

    .nav-menu  {
        display: block;
        text-align: center;
        margin-top: 1rem;
    }


    .nav-menu li {
        margin-bottom: 1rem;
        opacity: 0;
        translate: 3rem;


    }
    .nav-menu li a{
        font-size: .875rem;
        color: #264d0f;
    }
    .nav-menu li a:hover{
        border-bottom: 1px var(--darkgreen) solid;

    }


    .heading {
        font-size: 1.5rem;
    }

    .heading + .text {
        margin-bottom: 2.5rem;
        letter-spacing: normal;
    }
    .text {
        line-height: 1.6;
        font-size: .875rem;
    }

    /* about -----------------------------------*/

    #about {
        padding-top: 4rem;
        margin-bottom: 8rem;
    }
    #about h3 {
        font-size: 1.3rem;

    }

    #about .row {
        flex-wrap: wrap;
        margin-bottom: 5rem;
        gap: 0;

    }
    #about .row:last-child {
        margin-bottom: 1rem;
    }
    #about .col {
        width: 100%;
    }
    
    #about .thumb {
        width: 100%;
        aspect-ratio: 5 / 3;
        object-fit: cover;
        border-radius: 5px;
    }

        
    #about .heading + .text {
        margin-bottom: 5rem ;
        letter-spacing: normal;
    }

    #about .h3 {
        font-size: 1.2rem;
    }

        
    #about .textbox {
        margin-bottom: 1.5rem;
        padding: 0;
    }
    #about h3::before {
        left: 20%;
        top: -15%;
        background-size: contain;
        width: 9rem;
        height: 9rem;
    }

/* vegetables--------------------------------- */
    #vegetables {
        margin-bottom: 8rem;

    }
    #vegetables .wrapper {
        padding: 0;
    }

    #vegetables .bg{
        padding: 6rem 0 8rem;
        clip-path: polygon(0 0, 100% 3%, 100% 97%, 0 100%);
        background-color: #f2f8f6;

    }
    
    #vegetables img {
        aspect-ratio: 5 / 5;
        object-fit: cover;
        width: 100%;
    }

    #vegetables .container {
        grid-template-columns: repeat(2,1fr);
        gap: 20px 10px;

    }
    #vegetables .container .card:last-child {
            display: none;
        }

    #vegetables .card .text-comment {
        font-weight: 700;
        margin-bottom: .25rem;
        color: var(--red);
    
    }
    #vegetables .card .vegetable-name {
        margin: .75rem auto 1rem;
        width: 80%;
        cursor: pointer;
        font-size: .875rem;
    }

    /* cooperation */
    

    #cooperation .contain::before {
        left: 0;
        width: 100%;
        height: 100%;
        opacity: .175;
    }
    #cooperation .contain::after {
        content: none;
    }

    #cooperation .heading {
        position: relative;
        z-index: 5;
        color: var(--lightgreen);
    }


    
    


/* shop --------------------------------------*/


    #shop {
        padding-bottom: 6rem;
    }
    #shop .col-1 img {
        aspect-ratio: 5/3;
        scale: .9;

    }
    #shop .col-1,
    #shop .col-2 {
        width: 100%;
    }

    #shop .col-2 {
        padding: 0 1rem 0;
    }

    #shop .col-2 th {
        padding-left: 1.5rem;
        white-space: nowrap;
        font-size: .8rem;
    }

    #shop .col-2 td {
        padding-left: 3rem;
        font-size: .8rem;

    }
    #shop .col-2 td:nth-of-type(3) {
        font-size: .75rem;
    }

    #shop .map-btn img {
        width: 1.3rem;
    }
    .small {
        font-size: .65rem;

    }




    /* footer----------------------------------- */


    footer {
        padding: 2.5rem 0;
    }
    footer ul {
        margin-bottom: 1rem;
        font-size: .875rem;
    }





    






}


    @media(max-width:500px) {
        #head .logo {
            width: 73%;
            height: auto;
            margin-top: 1rem;
        
        }
        #loading img {
            width: 7%;
        }
        #vegetables .click::before {
            background-image: url('./images/icon777.png');
            left: 12%;
        }

        #shop .map-btn::after {
            left: 1rem;
            top:  2rem;
            font-size: .5rem;
            content: 'GoogleMap';
        }
        #shop .map-btn img {
            margin-left: 3rem;

        }
        .hero::after {
            width: 72vw;
            height: 72vw;
            top: 5px;
            left: 5vw;
    
    
        }
        .td5 span {
            font: 10px;
        } 
        #shop .map-btn {
            margin-left: -.5rem;
        }
        #shop .col-2 td {
            padding-left: 1rem;
    
        }
        #shop .col-2 th {
            padding-left: 1rem;
    }
}
@media(max-width:579px) {
    #vegetables .card .text-variety,
    #vegetables .card .text-month {
        display: block;

}

}